This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502990 - Review Request: erlang-eradius - RADIUS authentication/accounting for erlang apps
Review Request: erlang-eradius - RADIUS authentication/accounting for erlang ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 02:26 EDT by Peter Lemenkov
Modified: 2015-03-31 21:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-eradius-0.8.7-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 13:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-05-28 02:26:54 EDT
Spec URL: http://peter.fedorapeople.org/erlang-eradius.spec
SRPM URL: http://peter.fedorapeople.org/erlang-eradius-0-0.2.fc10.src.rpm
Description: RADIUS authentication/accounting for erlang apps. I contains both client an server functionality.
Comment 1 Jason Tibbitts 2009-06-03 22:39:27 EDT
This builds OK.  rpmlint says:
  erlang-eradius.x86_64: E: no-binary
  erlang-eradius.x86_64: W: only-non-binary-in-usr-lib
These are bogus.

  erlang-eradius.x86_64: W: spurious-executable-perm 
   /usr/share/doc/erlang-eradius-0/MIT_LICENSE
There's no reason for the license file to be executable.  You should really run rpmlint over your packages and at least fix the trivial stuff.

As this is a snapshot, you must include the snapshot date (20070627) in your release.  See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages for more information.

* source files match upstream (checked manually).
X package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
X rpmlint has a valid complaint.
* final provides and requires are sane:
   erlang-eradius = 0-0.2.fc11
   erlang-eradius(x86-64) = 0-0.2.fc11
  =
   erlang

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions on MIT_LICENSE are odd.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Jason Tibbitts 2009-07-03 19:06:30 EDT
Did you have any response to the above review?
Comment 3 Peter Lemenkov 2009-07-06 04:22:37 EDT
Sorry for the delay - here is updated package:

http://peter.fedorapeople.org/erlang-eradius.spec
http://peter.fedorapeople.org/erlang-eradius-0-0.3.cvs20070627.fc11.src.rpm

%changelog
* Mon Jul  6 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.cvs20070627
- Proper versioning scheme
- Added two missing header-files
- Fixed permissions for MIT_LICENSE and eradius_server.erl


rpmlint log:

[petro@Sulaco ppc]$ rpmlint erlang-eradius-0-0.3.cvs20070627.fc11.ppc.rpm 
erlang-eradius.ppc: E: no-binary
erlang-eradius.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
[petro@Sulaco ppc]$

Koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1456232
Comment 4 Jason Tibbitts 2009-07-08 14:41:37 EDT
Unfortunately you got the "cvs" before the date in your release, while the guidelines require that the date go first, followed by "cvs" or anything else you might like to put there (up to 16 characters).

So change to "erlang-eradius-0-0.4.20070627cvs" and this package is good to go.
Comment 6 Jason Tibbitts 2009-07-11 03:51:18 EDT
Looks good, thanks.

APPROVED
Comment 7 Peter Lemenkov 2009-07-11 04:09:43 EDT
New Package CVS Request
=======================
Package Name: erlang-eradius
Short Description: RADIUS authentication/accounting for erlang apps
Owners: peter
Branches: EL-4 EL-5 F-10 F-11
InitialCC:
Comment 8 Jason Tibbitts 2009-07-11 04:14:15 EDT
CVS done.
Comment 9 Fedora Update System 2009-07-11 05:52:35 EDT
erlang-eradius-0-0.4.20070627cvs.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-eradius-0-0.4.20070627cvs.el5
Comment 10 Fedora Update System 2009-07-11 05:52:40 EDT
erlang-eradius-0-0.4.20070627cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/erlang-eradius-0-0.4.20070627cvs.fc10
Comment 11 Fedora Update System 2009-07-11 05:52:46 EDT
erlang-eradius-0-0.4.20070627cvs.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/erlang-eradius-0-0.4.20070627cvs.el4
Comment 12 Fedora Update System 2009-07-11 05:52:50 EDT
erlang-eradius-0-0.4.20070627cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/erlang-eradius-0-0.4.20070627cvs.fc11
Comment 13 Fedora Update System 2009-07-13 15:38:54 EDT
erlang-eradius-0-0.4.20070627cvs.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-eradius'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0059
Comment 14 Fedora Update System 2009-07-13 15:39:39 EDT
erlang-eradius-0-0.4.20070627cvs.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-eradius'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0058
Comment 15 Fedora Update System 2009-07-16 02:50:58 EDT
erlang-eradius-0-0.4.20070627cvs.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-eradius'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7552
Comment 16 Fedora Update System 2009-07-16 03:31:11 EDT
erlang-eradius-0-0.4.20070627cvs.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-eradius'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7678
Comment 17 Fedora Update System 2009-07-28 13:22:44 EDT
erlang-eradius-0-0.4.20070627cvs.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-28 13:23:04 EDT
erlang-eradius-0-0.4.20070627cvs.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-28 14:24:58 EDT
erlang-eradius-0-0.4.20070627cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-28 14:29:20 EDT
erlang-eradius-0-0.4.20070627cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Peter Lemenkov 2015-03-13 06:49:45 EDT
Package Change Request
======================
Package Name: erlang-eradius
New Branches: epel7
Owners: peter
InitialCC: erlang-sig
Comment 22 Gwyn Ciesla 2015-03-13 07:54:56 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2015-03-13 08:20:44 EDT
erlang-eradius-0.8.7-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/erlang-eradius-0.8.7-6.el7
Comment 24 Fedora Update System 2015-03-31 21:56:51 EDT
erlang-eradius-0.8.7-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.